This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 739389

Summary: No warning that a BIOS boot partition was not present
Product: [Fedora] Fedora Reporter: paolo borelli <pborelli>
Component: anacondaAssignee: David Lehman <dlehman>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: al.dunsmuir, anaconda-maint-list, awilliam, baumanmo, birger, brandon, dustymabe, germano.massullo, humpf, jonathan, marius.andreiana, mrbrian, nbeier, rafael.espindola, stanley.king, vanmeeuwen+fedora, zdenek.wagner, zing
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 752702 (view as bug list) Environment:
Last Closed: 2012-06-07 17:39:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
anaconda.log
none
storage.log
none
screenshot of anaconda
none
anaconda log
none
storage log
none
program log
none
messages log
none
screenshot
none
sceenshot with mountpoint set to /boot/efi
none
storage.log none

Description paolo borelli 2011-09-18 10:36:06 EDT
I am trying to install from an f16 nigtly livecd.

I selected manual partitioning and used a single partition mounted as "/" and formatted as ext4 + a swap partition.

I get the following partitioning error: "you have not created a bootloader stage1 device"
Comment 1 David Lehman 2011-09-19 11:30:58 EDT
Please attach the following files, individually, as text/plain attachments to this bug report:

 /tmp/anaconda.log
 /tmp/storage.log

Thanks.
Comment 2 paolo borelli 2011-10-02 06:26:30 EDT
Sorry for the delay, had to wait for a free weekend to test again...

I tested again with the nightly image of September 30 and I still get the problem. I see that the anaconda version included in the nightly build is still anaconda-16.18-1 which seems to be a bit old...


The requested log file are attached.
Comment 3 paolo borelli 2011-10-02 06:27:18 EDT
Created attachment 525913 [details]
anaconda.log
Comment 4 paolo borelli 2011-10-02 06:28:02 EDT
Created attachment 525914 [details]
storage.log
Comment 5 David Lehman 2011-10-03 11:30:39 EDT
The error message needs some improvement here. If you use a GPT disklabel on a BIOS system, which appears to be what you are doing, you will need to create a "BIOS Boot" partition of size 1M on the GPT disk, preferably as the first partition, in order for the bootloader to be functional.
Comment 6 paolo borelli 2011-10-03 15:01:05 EDT
To be honest I do not even know what a GPT disklabel is... I just selected "custom" in the format strategy selection and tried to use the free space to create a single partition mounted as "/" for the test OS.

I see the bug is marked as "NEEDINFO" but I am not sure what other information do you want me to provide
Comment 7 David Lehman 2011-10-03 16:08:12 EDT
(In reply to comment #6)
> I see the bug is marked as "NEEDINFO" but I am not sure what other information
> do you want me to provide

I was hoping you would create the 1MB BIOS Boot partition as I suggested and tell me if it allows you to complete the install.
Comment 8 Marius Andreiana 2011-10-05 03:17:43 EDT
I don't know why Fedora always have to be so unusable for non-hardcore users. I had to google what this message means.

Since you don't let me continue after defining my partition layout b/c you know that partition type requires that boot bios stuff, why don't you just create it for me (and when I attempt to delete it just inform me it's needed), rather than having me google the message, deleting all partitions I created and adding this manually as the 1st partition, then re-do all my stuff? Unbelievable.


>I was hoping you would create the 1MB BIOS Boot partition as I suggested and
>tell me if it allows you to complete the install.
worked for me, but it should have worked out of the box.
Comment 9 Al Dunsmuir 2011-10-06 13:09:06 EDT
I have encountered the same message with a graphical install, using the Fedora 16 i686 Beta Live CD.

This was a dual-boot system with Fedora 15 and 32-bit Windows XP professional, with grub 1 installed in the MBR.  XP is on the first partition, NTFS.  No LVM.

The initial Fedora 15 layout had used the last 600 GB of this drive.  I initially tried to install using the Fedora 16 beta i686 DVD, and chose to shrink the existing F 15 root ext4 (no separate /home) partition down to 300 GB.  The shrink worked, but the F16 beta install did not.  I verified that the 
shrunk F15 booted OK, as did XP.

I tried again with the Live CD.  I chose to format the original F15 partitions,
but then received the message about the boot stage 1.  I chose to remove the existing Fedora partitions and recreated, with a 2 MB BIOS boot partition after XP.  I created the remaining partitions (boot, root, swap), but it would not let me proceed with the install - displayed the boot stage 1 message again.

Is this related to the existing grub1?  I can not remove the XP partition, nor do I believe that will work with GPT.

Pardon me for clearing needinfo - I can create new bz if required.
Comment 10 David Lehman 2011-10-07 18:04:38 EDT
Al, please attach your logs from the failed installation:

  /tmp/anaconda.log
  /tmp/storage.log
  /tmp/program.log
  /tmp/syslog if non-empty, else /var/log/messages

Please attach them individually as type text/plain. Thanks.
Comment 11 Al Dunsmuir 2011-10-08 21:23:42 EDT
David,

My initial attempt at the DVD F16 beta install failed with what turned out to be
a bad DVD drive.   See https://bugzilla.redhat.com/show_bug.cgi?id=743778 for 
details.

That is one reason that I tried the install from the LiveCD.

For some reason, I did not get EMailed with your request for info, so after replacing the DVD drive with a new one, I went ahead and tried the DVD install again.  It worked fine this time.  The new grub2 boot selection of XP also 
worked fine.

If you are interested in this failure, I should be able to replace the F16 beta with a F15 installation (to get F15 grub 1 back in play) and then attempt the install from the F16 LiveCD again.

It's the thanksgiving holiday weekend, so will have to fit that in with other stuff that's going on.
Al
Comment 12 Al Dunsmuir 2011-10-09 10:11:40 EDT
As a firm believer in Murphy, I was unsurprised to find that there were no
issues installing F16 beta from LiveCD over F15 the second time.
Comment 13 Stan King 2011-10-09 18:31:37 EDT
For what it's worth, my experience was very similar to that of Al Dunsmuir in his post of 2011-10-06 13:09:06 EDT, including a Windows XP bootable partition, except that my previous Fedora installation was 16 Alpha, with grub2 already in place, and I was using the F16 Beta install DVD rather than the Live CD.

I was able to install properly with the gPXE/BFO scenario.  Although the load of vmlinuz and the init ram disk was absurdly slow, the bulk of the installation proceeded at a normal pace and without errors.
Comment 14 Adam Williamson 2011-10-11 12:52:20 EDT
marius: if you pick one of the options which indicates you don't know what you're doing - i.e. anything but manual partitioning - then we create the BIOS boot partition for you. If you pick manual partitioning then you are telling us you know what the hell you're doing, so we don't do the work for you: if we did you'd probably complain that we were getting in your way. You also need a root partition to complete an installation, but if you pick manual partitioning we don't create one of those for you, because hey, you picked manual partitioning!

As for paolo's original issue - dlehman, I thought we already popped up a 'no BIOS boot partitioning' warning if you try to get out of manual partitioning without one? Why didn't Paolo get the warning?
Comment 15 Moritz Baumann 2011-10-13 06:39:08 EDT
Created attachment 527951 [details]
screenshot of anaconda

This does not work with a Bios boot partition either.

Please find a screenshot attached.
Comment 16 Zing 2011-10-27 11:24:14 EDT
Created attachment 530512 [details]
anaconda log

I tried to install to hard drive from the f16 beta live cd and it keeps telling me to create a bootloader stage1 device... I did, but it still doesn't allow me to continue.  I'll attach the logs.
Comment 17 Zing 2011-10-27 11:24:45 EDT
Created attachment 530513 [details]
storage log
Comment 18 Zing 2011-10-27 11:25:13 EDT
Created attachment 530514 [details]
program log
Comment 19 Zing 2011-10-27 11:25:42 EDT
Created attachment 530516 [details]
messages log
Comment 20 Zing 2011-10-27 11:30:50 EDT
If I choose 'Use all space' and 'Review and modify layout', it says my / partition is too small (less than 2282.0 MB) and kicks me back to the 'What type of installation would you like?' screen.

This is a kvm virt install where the hard drive is 4GB, and I specified 768MB for memory.
Comment 21 birger 2011-11-02 19:21:34 EDT
I had exactly the same problem today.

Freshly downloaded F16 beta x86_64 live cd from fedoraproject.org.
Booted from the CD on a MacBook Pro (relatively new one with i7 processor). This is a system using EFI boot I think?

Tried several times using manual partitioning. Removed one partition on the disk, added BIOS boot, /boot and / partitions. Failed evey time.

Then I removed the existing partition manually first using parted, and then used the 'use all free space'. I unchecked LVM and checked manual editing. Then I removed the swap and /home partitions and extended / so I had the same partitions I had tried earlier. Now it labeled and installed successfully.

It still failed writing the boot loader.
Comment 22 Brandon Dawson 2011-11-08 09:52:43 EST
For folks getting this message when trying to install F16 as a VM in VMWare, check and see if you have an "autoinst.iso" as the primary optical drive, with the actual ISO as a secondary, and if so, remove the primary and replace it with the actual ISO.
Comment 23 Brian A. Musson 2012-01-22 16:28:47 EST
Brandon, this is exactly the issue. Going to the "Virtual Machine" menu and selecting the first cdrom showed this "autoinst.iso". Once I unmounted the drive, installation continued as expected.



(In reply to comment #22)
> For folks getting this message when trying to install F16 as a VM in VMWare,
> check and see if you have an "autoinst.iso" as the primary optical drive, with
> the actual ISO as a secondary, and if so, remove the primary and replace it
> with the actual ISO.
Comment 24 Zdenek Wagner 2012-01-31 10:09:26 EST
(In reply to comment #14)
> marius: if you pick one of the options which indicates you don't know what
> you're doing - i.e. anything but manual partitioning - then we create the BIOS
> boot partition for you. If you pick manual partitioning then you are telling us
> you know what the hell you're doing, so we don't do the work for you: if we did
> you'd probably complain that we were getting in your way. You also need a root
> partition to complete an installation, but if you pick manual partitioning we
> don't create one of those for you, because hey, you picked manual partitioning!
> 
I do not agree with this reasoning. Within the last decade I installed a few dozens Linux computers (Redhat, Debian, CentOS, Fedora) and never needed bootloader stage 1 target device. If you know that it must be the very first partition, you should not allow to create anything else and display the message early. It is the same as with creating LVM partitions, you do not allow to create them if a physical LVM does not exists. This helps me not to forget the required steps. Now I spend a long time setting all partitions in LVM and when everything is finished, I get this error message and the only way (after googling) is to remove all partitions and start again. Now I am fortunatelly in an office with other running computers. If it were my only computer, I would be lost. And of course, I could not send any install log because it does not allo me to partition the disk and nothing is written.
Comment 25 Adam Williamson 2012-01-31 12:21:34 EST
"I do not agree with this reasoning. Within the last decade I installed a few
dozens Linux computers (Redhat, Debian, CentOS, Fedora) and never needed
bootloader stage 1 target device"

That's because they don't use GPT disk labels. This is already explained in numerous places.

"If you know that it must be the very first partition, you should not allow to create anything else and display the message early."

We don't; it doesn't need to be. It can be anywhere on the disk. 

It's also not strictly required in all cases; there may be esoteric configurations where it isn't, and the whole point of manual partitioning is to make sure you have the power to set up any working configuration. If we start trying to enforce 'well, 99% of layouts should be like this, so let's just force it' on the manual partitioning path, that will certainly annoy the people with weird configurations who are prevented from doing what they want.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 26 Zdenek Wagner 2012-02-01 04:43:04 EST
(In reply to comment #25)
> "I do not agree with this reasoning. Within the last decade I installed a few
> dozens Linux computers (Redhat, Debian, CentOS, Fedora) and never needed
> bootloader stage 1 target device"
> 
> That's because they don't use GPT disk labels. This is already explained in
> numerous places.
> 
How can I know that there is a GPT label? The computer vendor knew that I will install Linux myself, therefore he sold me a computer with an empty disk, gave me detailed HW list but did not mention GPT label. Disk partitioning program does not inform me that there is a GPT disk label. Fedora download page does not say that I need a bootable diagnostic CD in order to examine my HW before instalation.

> "If you know that it must be the very first partition, you should not allow to
> create anything else and display the message early."
> 
> We don't; it doesn't need to be. It can be anywhere on the disk. 
> 
Apparently cannot. I have deleted my LVM physical volume so that the HD contained only /boot partition with size 100 MB. I was not allowed to create BIOS boot. I tried sizes 0 MB, 1 MB, 2 MB but it always failed with an error message saying that the partition is too large for BIOS boot and valid size is between 0 and 2 MB. Only after I deleted the /boot partition and tried to create BIOS boot at the very beginning of the HD, I was allowed to do it.

> It's also not strictly required in all cases; there may be esoteric
> configurations where it isn't, and the whole point of manual partitioning is to
> make sure you have the power to set up any working configuration. If we start
> trying to enforce 'well, 99% of layouts should be like this, so let's just
> force it' on the manual partitioning path, that will certainly annoy the people
> with weird configurations who are prevented from doing what they want.
> 
The partitioning program somehow knows that the BIOS boot is needed because it does not allow me to proceed without it, and it knows somehow that it must be at the very beginning of HD because it does not allow me to create it anywhere else.
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers
Comment 27 Adam Williamson 2012-02-01 11:34:29 EST
"How can I know that there is a GPT label? The computer vendor knew that I will
install Linux myself, therefore he sold me a computer with an empty disk, gave
me detailed HW list but did not mention GPT label. Disk partitioning program
does not inform me that there is a GPT disk label. Fedora download page does
not say that I need a bootable diagnostic CD in order to examine my HW before
instalation."

It's not a feature of the computer, it's a choice the OS makes at installation time. Fedora 16 and onwards default to GPT disk labels when formatting partitions. This is explained in the documentation and the release notes, which you're supposed to read. :)

"Apparently cannot. I have deleted my LVM physical volume so that the HD
contained only /boot partition with size 100 MB. I was not allowed to create
BIOS boot. I tried sizes 0 MB, 1 MB, 2 MB but it always failed with an error
message saying that the partition is too large for BIOS boot and valid size is
between 0 and 2 MB. Only after I deleted the /boot partition and tried to
create BIOS boot at the very beginning of the HD, I was allowed to do it."

That may be a bug, then, but pjones may know better than I.

"The partitioning program somehow knows that the BIOS boot is needed because it
does not allow me to proceed without it, and it knows somehow that it must be
at the very beginning of HD because it does not allow me to create it anywhere
else."

I'm not sure it's actually meant to be doing that.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 28 Zdenek Wagner 2012-02-15 06:16:59 EST
(In reply to comment #27)
> "How can I know that there is a GPT label? The computer vendor knew that I will
> install Linux myself, therefore he sold me a computer with an empty disk, gave
> me detailed HW list but did not mention GPT label. Disk partitioning program
> does not inform me that there is a GPT disk label. Fedora download page does
> not say that I need a bootable diagnostic CD in order to examine my HW before
> instalation."
> 
> It's not a feature of the computer, it's a choice the OS makes at installation
> time. Fedora 16 and onwards default to GPT disk labels when formatting
> partitions. This is explained in the documentation and the release notes, which
> you're supposed to read. :)
> 
I did not assume that my partitioning scheme would not work, therefore I have not read it carefully. Such a change should better be mentioned in brief in the installation requirements at the main page. It would tell me that I have to read something very urgently. I read it a few days ago and I found a few inconsistencies in the documentation. Release notes say in 3.2.1:

Starting in Fedora 16, on non-EFI x86 (32 and 64 bit) systems, anaconda will default to creating GPT disklabels (partition tables) instead of MSDOS disklabels.

By "will default to" I understand, that I have a possibility of choice and if I do not choose anything explicitly, the default will be used. However, anaconda does not ask and does not inform me. Installation guide is not very clean.

Anyway, I have looked to the BIOS setup. It offers three modes for EFI: non-EFI, Auto, EFI. It was set to Auto. Does it mean that Auto=non-EFI in the anaconda eyes?

I have not found what happens if I install Fedora 16 over Fedora 13. My network connection at home is too slow (8 Mbps) and distribution update always failed due to network problems. I plan to upgrade from DVD but now I am not sure whether it will work because Fedora 13 did not need BIOS boot.

I cannot find any information what to do if I have two disks and plan to use software RAID 1. Should I create BIOS boot similarly as I create /boot?

> "Apparently cannot. I have deleted my LVM physical volume so that the HD
> contained only /boot partition with size 100 MB. I was not allowed to create
> BIOS boot. I tried sizes 0 MB, 1 MB, 2 MB but it always failed with an error
> message saying that the partition is too large for BIOS boot and valid size is
> between 0 and 2 MB. Only after I deleted the /boot partition and tried to
> create BIOS boot at the very beginning of the HD, I was allowed to do it."
> 
> That may be a bug, then, but pjones may know better than I.
> 
> "The partitioning program somehow knows that the BIOS boot is needed because it
> does not allow me to proceed without it, and it knows somehow that it must be
> at the very beginning of HD because it does not allow me to create it anywhere
> else."
> 
> I'm not sure it's actually meant to be doing that.
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers
Comment 29 David Lehman 2012-02-15 09:22:39 EST
(In reply to comment #28)
> By "will default to" I understand, that I have a possibility of choice and if I
> do not choose anything explicitly, the default will be used. However, anaconda
> does not ask and does not inform me. Installation guide is not very clean.

The installation process would be unbearably cumbersome if we were to ask you to confirm every decision made by the installer. The release notes are not that long -- you should read them prior to performing an install.

> 
> Anyway, I have looked to the BIOS setup. It offers three modes for EFI:
> non-EFI, Auto, EFI. It was set to Auto. Does it mean that Auto=non-EFI in the
> anaconda eyes?

It is not a choice made by anaconda. If the system has booted via EFI, anaconda will treat the system as EFI. If it has booted via BIOS, anaconda will treat the system as non-EFI. If you have complaints about your results, look to your firmware -- not anaconda.

> 
> I have not found what happens if I install Fedora 16 over Fedora 13. My network
> connection at home is too slow (8 Mbps) and distribution update always failed
> due to network problems. I plan to upgrade from DVD but now I am not sure
> whether it will work because Fedora 13 did not need BIOS boot.

It would only need BIOS boot if you used anaconda to completely wipe your drives using the "Use All Space" option during the reinstall.

> 
> I cannot find any information what to do if I have two disks and plan to use
> software RAID 1. Should I create BIOS boot similarly as I create /boot?

If you have chosen "Use All Space" and want a RAID1 /boot, you should create a BIOS boot partition on each drive in the array. This has received very limited testing.
Comment 30 Zdenek Wagner 2012-02-15 10:12:03 EST
(In reply to comment #29)
> (In reply to comment #28)
> > By "will default to" I understand, that I have a possibility of choice and if I
> > do not choose anything explicitly, the default will be used. However, anaconda
> > does not ask and does not inform me. Installation guide is not very clean.
> 
> The installation process would be unbearably cumbersome if we were to ask you
> to confirm every decision made by the installer. The release notes are not that
> long -- you should read them prior to performing an install.
> 
OK.

> > 
> > Anyway, I have looked to the BIOS setup. It offers three modes for EFI:
> > non-EFI, Auto, EFI. It was set to Auto. Does it mean that Auto=non-EFI in the
> > anaconda eyes?
> 
> It is not a choice made by anaconda. If the system has booted via EFI, anaconda
> will treat the system as EFI. If it has booted via BIOS, anaconda will treat
> the system as non-EFI. If you have complaints about your results, look to your
> firmware -- not anaconda.
> 
OK. Is it better to look into BIOS settings and force it to EFI before installation is started?

> > 
> > I have not found what happens if I install Fedora 16 over Fedora 13. My network
> > connection at home is too slow (8 Mbps) and distribution update always failed
> > due to network problems. I plan to upgrade from DVD but now I am not sure
> > whether it will work because Fedora 13 did not need BIOS boot.
> 
> It would only need BIOS boot if you used anaconda to completely wipe your
> drives using the "Use All Space" option during the reinstall.
> 
OK, thank you.
> > 
> > I cannot find any information what to do if I have two disks and plan to use
> > software RAID 1. Should I create BIOS boot similarly as I create /boot?
> 
> If you have chosen "Use All Space" and want a RAID1 /boot, you should create a
> BIOS boot partition on each drive in the array. This has received very limited
> testing.

I am going to use it on a computer bought a few hours ago, I have not unpacked it from the box so far. It most probably can be switched to use EFI.
Comment 31 David Lehman 2012-02-15 13:04:10 EST
(In reply to comment #30)
> OK. Is it better to look into BIOS settings and force it to EFI before
> installation is started?

If you want your system to use EFI then this would probably be a good idea.

> > If you have chosen "Use All Space" and want a RAID1 /boot, you should create a
> > BIOS boot partition on each drive in the array. This has received very limited
> > testing.
> 
> I am going to use it on a computer bought a few hours ago, I have not unpacked
> it from the box so far. It most probably can be switched to use EFI.

To be clear, the BIOS boot partition is only used for non-EFI installs. If you will be using EFI you do not need a BIOS boot partition at all -- instead, you need a /boot/efi partition.
Comment 33 Zdenek Wagner 2012-02-16 04:48:41 EST
(In reply to comment #31)
> (In reply to comment #30)
> > OK. Is it better to look into BIOS settings and force it to EFI before
> > installation is started?
> 
> If you want your system to use EFI then this would probably be a good idea.
> 
Thank you. As a matter of fact I do not care whether my new computer will use EFI or not. It will be a single-boot Linux computer and my hard disk size is 500 GB. It seems easier to use EFI although it is not necessary for such a small disk.

> > > If you have chosen "Use All Space" and want a RAID1 /boot, you should create a
> > > BIOS boot partition on each drive in the array. This has received very limited
> > > testing.
> > 
> > I am going to use it on a computer bought a few hours ago, I have not unpacked
> > it from the box so far. It most probably can be switched to use EFI.
> 
> To be clear, the BIOS boot partition is only used for non-EFI installs. If you
> will be using EFI you do not need a BIOS boot partition at all -- instead, you
> need a /boot/efi partition.
Comment 34 Zdenek Wagner 2012-03-19 11:16:03 EDT
(In reply to comment #33)
> (In reply to comment #31)
> > (In reply to comment #30)
> > > OK. Is it better to look into BIOS settings and force it to EFI before
> > > installation is started?
> > 
> > If you want your system to use EFI then this would probably be a good idea.
> > 
> Thank you. As a matter of fact I do not care whether my new computer will use
> EFI or not. It will be a single-boot Linux computer and my hard disk size is
> 500 GB. It seems easier to use EFI although it is not necessary for such a
> small disk.
> 
I have tried it with RAID1. I have switched BIOS to EFI and first tried "Use All Space". It does not offer RAID, thus I have just looked at recommended sizes. Then I manually created RAID1 for /boot/efi, RAID1 for /boot, RAID1 for LVM with the rest. Unfortunatelly anaconda complaint that there is no bootloader stage 1 device. I have therefore set BIOS back to non-EFI and instead of /boot/efi I created BIOS boot as a standard partition on each disk. Installation continued smoothly but after reboot grub reported:

error: no such device: XXX-XXX-XX... (looks like a partition ID)

> > > > If you have chosen "Use All Space" and want a RAID1 /boot, you should create a
> > > > BIOS boot partition on each drive in the array. This has received very limited
> > > > testing.
> > > 
> > > I am going to use it on a computer bought a few hours ago, I have not unpacked
> > > it from the box so far. It most probably can be switched to use EFI.
> > 
> > To be clear, the BIOS boot partition is only used for non-EFI installs. If you
> > will be using EFI you do not need a BIOS boot partition at all -- instead, you
> > need a /boot/efi partition.
Comment 35 Germano Massullo 2012-04-29 14:01:11 EDT
I am having this bug while installing Fedora LXDE as a VirtualBOX virtual machine. It happens on both 32bit and 64bit version.
I create a 500mb swap partition and a / ext4 partition that uses the remaining space
Comment 36 Marius Andreiana 2012-05-31 12:48:20 EDT
Created attachment 588156 [details]
screenshot

Still happens in F17, EFI boot. There's no option to choose BIOS boot, and there is one already created
Comment 37 David Lehman 2012-05-31 13:06:34 EDT
(In reply to comment #36)
> Created attachment 588156 [details]
> screenshot
> 
> Still happens in F17, EFI boot. There's no option to choose BIOS boot, and
> there is one already created

You do not need BIOS boot on EFI -- you need /boot/efi created as type "EFI System partition" or "efiboot".

Yes -- this means that you need different partitioning depending on whether you plan to boot via EFI or BIOS.
Comment 38 Marius Andreiana 2012-05-31 13:10:35 EDT
Please see the screenshot. There is already a "EFI System partition". Should it have been mapped to /boot/efi to get rid of that obscure error?
Comment 39 David Lehman 2012-05-31 13:17:48 EDT
(In reply to comment #38)
> Please see the screenshot. There is already a "EFI System partition". Should
> it have been mapped to /boot/efi to get rid of that obscure error?

Yes. It must have the mountpoint /boot/efi -- that should get it working for you.
Comment 40 Rafael Ávila de Espíndola 2012-06-04 21:30:28 EDT
Created attachment 589322 [details]
sceenshot with mountpoint set to /boot/efi

> Yes. It must have the mountpoint /boot/efi -- that should get it working for you.

That was not sufficient for me. The attached screenshot was taken with vnc during a efi boot of an usb drive created from the dvd image of f17.
Comment 41 David Lehman 2012-06-05 10:37:39 EDT
(In reply to comment #40)
> > Yes. It must have the mountpoint /boot/efi -- that should get it working for you.
> 
> That was not sufficient for me. The attached screenshot was taken with vnc
> during a efi boot of an usb drive created from the dvd image of f17.

Please attach /tmp/storage.log from the shell on tty2 after you hit this error.
Comment 42 Dusty Mabe 2012-06-06 23:29:29 EDT
Created attachment 590059 [details]
storage.log

I am hitting this same problem in F17. I then tried setting the "EFI System partition" mount point to '/boot/efi' but this does not seem to help.

I have attached the /tmp/storage.log
Comment 43 David Lehman 2012-06-07 12:26:39 EDT
(In reply to comment #42)
> Created attachment 590059 [details]
> storage.log
> 
> I am hitting this same problem in F17. I then tried setting the "EFI System
> partition" mount point to '/boot/efi' but this does not seem to help.
> 
> I have attached the /tmp/storage.log

Your system is not booting in EFI mode. It is booting in BIOS mode. The problem is that there are different disk partitioning requirements for each. Crazy, I know. If you are booting in EFI mode you need an EFI System partition. If you are booting in BIOS emulation mode you need a BIOS Boot partition. So you pretty much have to choose how you are going to boot, partition the disk accordingly, and then stick with that method of booting. If you want to use your disk layout as-is, you'll need to tell your system to stop booting in BIOS emulation mode.
Comment 44 Adam Williamson 2012-06-07 17:39:40 EDT
So I'm gonna take an executive decision to rename this bug and close it, because the report is essentially useless now.

The 'you have not created a bootloader stage1 device' error is a _generic_ error message, and can mean different things in different contexts. Particularly, it means something completely different in a native UEFI boot vs. a BIOS boot. Having a single bug where different people who've happened to encounter this same error message, but in completely different contexts, congregate and confuse each other is not helping anyone much. ;) The initial reporter of this bug has disappeared, and we never got the info requested from him, so we can't solve the original bug, assuming there was one.

Anyone else following this who still believes they hit a bug (and not just that they did something wrong in manual partitioning and they were confused by the somewhat-cryptic error), please file a new bug, with a summary and description which reflects precisely what you did: the mere fact that you hit this error message is not enough. Thanks!

(Oh, and _please_ don't use the 'clone' function to make the new bug, as then the new bug will have a huge description reproducing all 44 comments from this bug. Just file it from scratch.)